# InverseBoolConverter.ConvertBack Method
Converts an inverse boolean back to its original state.

A Sandcastle Documented Class Library

# InverseBoolConverter
ConvertBack Method

Converts an inverse boolean back to its original state.

Namespace: butterflow_ui
Assembly: butterflow-ui (in butterflow-ui.exe) Version: 1.1.0.42906 (1.0.0.0)
Syntax
C#
Copy

    public Object ConvertBack(
    	Object value,
    	Type targetType,
    	Object parameter,
    	CultureInfo culture
    )

#### Parameters

value
  Type: System
  Object
  The value that is produced by the binding target.
targetType
  Type: System
  Type
  The type to convert to.
parameter
  Type: System
  Object
  The converter parameter to use.
culture
  Type: System.Globalization
  CultureInfo
  The culture to use in the converter.

#### Return Value

Type: Object
A converted value. If the method returns
, the valid null value is used.

#### Implements

IValueConverter
ConvertBack(Object, Type, Object, CultureInfo)
Exceptions

Exception | Condition
--- | ---
InvalidCastException | Thrown when an object cannot be cast to a required type.

See Also

#### Reference

InverseBoolConverter Class
butterflow_ui Namespace